## org.gjt.sp.jedit.gui
Interface DockableWindow

All Known Implementing Classes:
  RegisterViewer, VFSBrowser

    public interface DockableWindow

An interface for notifying MOVABLE dockable windows before their docking position is changed.

Since:
  jEdit 4.3pre11

Method Summary
`void` `move(java.lang.String newPosition)` Notifies a dockable window before its docking position is changed.

Method Detail

### move

    void move(java.lang.String newPosition)

  Notifies a dockable window before its docking position is changed.

  Parameters:
    `newPosition` - The docking position to which the window is moving.
  Since:
    jEdit 4.3pre11